Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet.fastcgi
Class Factory

    java.lang.Object
      php.java.servlet.fastcgi.Factory

    public abstract class Factory

extends java.lang.Object

In-/OutputStream factory. Override this class if you want to use your own streams.

Author:
  jostb

Constructor Summary
`Factory()`

Method Summary
`abstract Channel` | `connect(ChannelName name)` Create a new socket and connect it to the given host/port
`java.io.InputStream` | `createInputStream()` Create a new InputStream.
`java.io.OutputStream` | `createOutputStream()` Create a new OutputStream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Factory

    public Factory()

Method Detail

### connect

    public abstract Channel connect(ChannelName name)
                             throws ConnectException

  Create a new socket and connect it to the given host/port

  Returns:
    The socket
  Throws:
    `UnknownHostException`
    `ConnectionException`
    `ConnectException`

### createInputStream

    public java.io.InputStream createInputStream()
                                          throws ConnectionException

  Create a new InputStream.

  Returns:
    The input stream.
  Throws:
    `ConnectionException`

### createOutputStream

    public java.io.OutputStream createOutputStream()
                                            throws ConnectionException

  Create a new OutputStream.

  Returns:
    The output stream.
  Throws:
    `ConnectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD